/***************************************************************************
                          sensdlg.cpp  -  description
                             -------------------
    begin                : Sat Apr 7 2001
    copyright            : (C) 2001 by Luc Langehegermann
    email                : luc@1409.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "sensdlg.h"
#include "globals.h"

sensDlg::sensDlg(QWidget *parent) : QDialog(parent)
{
	setCaption (i18n ("Waterfall Sensitivity"));
	setWFlags (WDestructiveClose);
	QSlider* slider = new QSlider (0, 150, 1, config.psk31.sensitivity, Qt::Horizontal, this);
  slider->setTickmarks (QSlider::Below);
	slider->setTickInterval(5);
	slider->setFixedWidth (250);
	setFixedWidth (slider->width() +10);
	setFixedHeight (slider->height() +10);
	slider->move (5,5);
	QObject::connect (slider, SIGNAL (valueChanged (int)), this, SLOT (slotSensChanged (int)));
}

sensDlg::~sensDlg()
{
}

void sensDlg::slotSensChanged (int val)
{
	config.psk31.sensitivity=val;
}
